Subject: bug#57912: closed (Re: [PATCH 3/3] gnu: ibus: Build with GTK4.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Oct 2022 18:47:02 +0000

Your bug report

#57912: [PATCH 0/3] Build ibus with GTK4

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57912: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57912
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 3/3] gnu: ibus: Build with GTK4.
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Tue, 04 Oct 2022 20:46:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Sonntag, dem 18.09.2022 um 17:27 +0200 schrieb Liliana Marie
Prikler:
> * gnu/packages/ibus.scm (ibus)[arguments]: Add “--enable-gtk4”.
> [inputs]: Add gtk and pango-next.
Pushed now.

The reason this took so long was because the ibus registry really hates
me.  See also <https://issues.guix.gnu.org/22707>.  The series of
command that led me to success was

$ rm ~/.cache/ibus -rf
$ ibus write-cache
$ pkill ibus
$ ibus-setup

Note that this was more or less required thanks to a stale cache and
not due to the lack of GTK4 support; the GTK4 support just makes it so
that GTK4 apps can actually use ibus.

Hopefully there's a more sane way to do this and hopefully this isn't
required per reboot.

Cheers

Subject: [PATCH 0/3] Build ibus with GTK4
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sun, 18 Sep 2022 17:28:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

after updating my system to the new GNOME 42, I noticed that my ibus input
methods broke.  Now obviously, this is due to the bump to GTK4, which is not
an ibus input (yet).  To make it one without sending Guix into an endless
loop, a little more is required, though.

Note that this series is as of yet untested; I will test it once I refreshed
all the broken extensions, so I only need to create one VM for all the tests.

Cheers

Liliana Marie Prikler (3):
  gnu: Add ibus-minimal.
  gnu: sdl2: Use ibus-minimal instead of ibus.
  gnu: ibus: Build with GTK4.

 gnu/packages/ibus.scm | 17 ++++++++++++++---
 gnu/packages/sdl.scm  |  2 +-
 2 files changed, 15 insertions(+), 4 deletions(-)

-- 
2.37.3